Subject: RE: [Syslog] implementing -protocol and -transport-udp

From: "Rainer Gerhards" <[email-masked]>
Date: Mon, 13 Feb 2006 16:53:03 +0100

David,

I agree on this point. But -transport-udp cross-references -protocol and
-protocol must cross-reference -transport-tls (or whatever it will be
named), so they must be sumbitted together even though there is no
direct relationship between -transport-udp and -transport-tls.

Rainer 

> -----Original Message-----
> From: David B Harrington [mailto:[email-masked]] 
> Sent: Monday, February 13, 2006 2:12 PM
> To: Rainer Gerhards; [email-masked]
> Subject: RE: [Syslog] implementing -protocol and -transport-udp
> 
> Hi,
> 
> Just a point. -transport-udp and -transport-tls should be independent
> of each other, since one is based on udp and the other on tcp. I just
> want to be sure that is understood. 
> 
> -transport-udp and transport-tls should have a comparable interface to
> the rest of the syslog documents. Do we agree on that point?
> 
> David Harrington
> [email-masked]
> 
> > -----Original Message-----
> > From: [email-masked] 
> > [mailto:[email-masked]] On Behalf Of Rainer Gerhards
> > Sent: Monday, February 13, 2006 2:46 AM
> > To: [email-masked]
> > Subject: [Syslog] implementing -protocol and -transport-udp
> > 
> > Hi all,
> > 
> > it is nice to see us making progress. However, as we need to 
> > finish (and
> > start) a secure transport before we can submit -protocol and
> > -transport-udp, I have a question to the implementors here on 
> > the list.
> > -transport-udp is basically finished and -protocol just needs 
> > a brush up
> > (aka "hopefully soon finished"). I wonder if some folks would like
> to
> > implement these drafts, even before they are submitted (aka 
> > "soon" ;)).
> > I see several advantages in doing so:
> > 
> > - we get real-world experience about what is practical and
> >   what not - this enables us to create a better standard
> > - we can do interop-testing between different implementations,
> >   again clarifying how good the text is
> > - we prepare for rapid deployment once the draft has been
> >   submitted
> > - we (and our users) can enjoy the benefits of the standardized
> >   format earlier
> > - we have implementation reports at hand when the IESG asks about
> >   vendor and user acceptance
> > 
> > Remember that both drafts are essentially ready for publication -
> what
> > is missing is "just" a secure transport, which does not interfere
> with
> > what we currently have. Of course, implementations could lead to new
> > discussions and eventual changes to the draft. I think is is better
> to
> > have this now then when it is released. 
> > 
> > I already did a test implementation in rsyslog. It prooved to be
> quite
> > easy and quickly doable. If others agreee to implement it too, I
> would
> > go ahead and also see that we implement it in our commercial
> packages.
> > 
> > I hope that my proposal is a good one and that other 
> > implementors would
> > like to participate. Please reply on list if you think this would be
> a
> > good idea or not.
> > 
> > Many thanks,
> > Rainer
> > 
> > _______________________________________________
> > Syslog mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/syslog
> > 
> 
> 
> 

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog